Skip to main content
`Ctrl`+`K`

# Scale

class astropy.modeling.functional_models.Scale(factor=1, **kwargs)

  Bases: `Fittable1DModel`

  Multiply a model by a dimensionless factor.

  Parameters:
    factor `python:float`

      Factor by which to scale a coordinate.

  Notes

  If `factor` is a `Quantity` then the units will be stripped before the scaling operation.

  Attributes Summary

  `factor` |
  `fittable` |
  `input_units` | This property is used to indicate what units or sets of units the evaluate method expects, and returns a dictionary mapping inputs to units (or `None` if any units are accepted).
  `linear` |
  `param_names` | Names of the parameters that describe models of this type.

  Methods Summary

  `evaluate`(x, factor) | One dimensional Scale model function.
  `fit_deriv`(x, *params) | One dimensional Scale model derivative with respect to parameter.

  Attributes Documentation

  factor = Parameter('factor', value=1.0)
  fittable = True
  input_units
  linear = True
  param_names = ('factor',)

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.

  Methods Documentation

  static evaluate(x, factor)

    One dimensional Scale model function.

  static fit_deriv(x, *params)

    One dimensional Scale model derivative with respect to parameter.